helper to add require clauses to node.js modules in Sublime Text 2
Python JavaScript
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.gitignore
Default (Linux).sublime-keymap
Default (OSX).sublime-keymap
Default (Windows).sublime-keymap
Edit.py
Main.sublime-menu
Require CommonJS Modules Helper.sublime-settings
readme.md
require_node.py

readme.md

Helper to add node.js "require" clause to modules.

Just press ctrl+shift+m, select the file and boom!

  • Windows: ctrl+shift+m
  • Linux: ctrl+shift+m
  • OSx: ⌘+⇧+m (command+shift+m)

screencast

Other modules

Besides any javascript file you have in your directory, use:

  • native: [name] for things like "fs", "net", etc.
  • module: [name] for modules inside your node_modules folder

Installation

With Package Control

Search "Require CommonJS Modules Helper".

With Package Decontrol

jfromaniello/sublime-node-require